﻿using System.Data.Entity;

namespace MySQLTest
{
   public class Container : DbContext
   {
      static Container()
      {
         Database.SetInitializer<Container>(null);
      }

      public Container()
         : base("Name=nulldatetimetext")
      {
      }

      public DbSet<DataTableItem> DataTableItems { get; set; }

      public DbSet<ChildDataTableItem> ChildDataTableItems { get; set; }


      protected override void OnModelCreating(DbModelBuilder modelBuilder)
      {
         modelBuilder.Configurations.Add(new DataTableItemMap());
         modelBuilder.Configurations.Add(new ChildDataTableItemMap());

      }
   }
}

