﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace MySQLTest
{
   class Program
   {
      private static void Main(string[] args)
      {

         using (var db = new MySQLTest.Container())
         {
            var now = DateTime.UtcNow.Date;

            var items = db.DataTableItems.Where(t => t.Id > 0 && t.ChildDataTableItems.Any(q => q.ProblemField <= now)).OrderBy(t => t.Id);
            
            foreach (var item in items)
            {
               Console.WriteLine(item.Id);
            }


         }

         Thread.Sleep(2000);


      }
   }
}
